summaryrefslogtreecommitdiffstats
path: root/make/scripts/runtest-cvm.sh
diff options
context:
space:
mode:
authorSven Gothel <[email protected]>2010-05-05 17:28:52 +0200
committerSven Gothel <[email protected]>2010-05-05 17:28:52 +0200
commitedbff99164a350a0147a5c8617cef9a86f7a2749 (patch)
treea48c713783c7692a6894090eac7444b47aa0c6d6 /make/scripts/runtest-cvm.sh
parent9300b0615f554f5904c93d757e4a9edbd1897538 (diff)
Cleanup: Move scripts into their folder
Diffstat (limited to 'make/scripts/runtest-cvm.sh')
-rw-r--r--make/scripts/runtest-cvm.sh19
1 files changed, 19 insertions, 0 deletions
diff --git a/make/scripts/runtest-cvm.sh b/make/scripts/runtest-cvm.sh
new file mode 100644
index 0000000..0b29c07
--- /dev/null
+++ b/make/scripts/runtest-cvm.sh
@@ -0,0 +1,19 @@
+#! /bin/sh
+
+CVM=$1
+shift
+
+builddir=$1
+shift
+
+if [ ! -x "$CVM" -o -z "$builddir" ] ; then
+ echo Usage $0 CVM-Binary build-dir
+ exit 1
+fi
+
+echo com.jogamp.gluegen.test.TestPointerBufferEndian
+$CVM -Dsun.boot.library.path=$builddir/obj -Xbootclasspath/a:$builddir/classes-cdc com.jogamp.gluegen.test.TestPointerBufferEndian
+echo
+echo com.jogamp.gluegen.test.TestStructAccessorEndian
+$CVM -Dsun.boot.library.path=$builddir/obj -Xbootclasspath/a:$builddir/classes-cdc com.jogamp.gluegen.test.TestStructAccessorEndian
+echo